# Simple Pong in Python 3 for Beginners
# By @TokyoEdTech

import turtle
import os
from turtle import Turtle
from random import randint

wn = turtle.Screen()
wn.title("Pong")
wn.bgcolor("black")
wn.setup(width=800, height=600)
wn.tracer(0)
turtle.bgcolor("forestgreen")
turtle.color("white")
turtle.speed(0)
turtle.penup()
turtle.setpos(-140, 200)
turtle.write("BEEBMUE RACE", font=("Arial",30,"bold"))
turtle.penup()

# DIRT
turtle.setpos(-400,-180)
turtle.color("chocolate")
turtle.begin_fill()
turtle.pendown()
turtle.forward(800)
turtle.right(90)
turtle.forward(300)
turtle.right(90)
turtle.forward(800)
turtle.right(90)
turtle.forward(300)
turtle.end_fill()

#FINISH LINE
stamp_size = 20
square_size = 15
finish_line = 200

turtle.color("black")
turtle.shape("square")
turtle.shapesize(square_size/stamp_size)
turtle.penup()

for i in range(10):
    turtle.setpos(finish_line, (150 - (i * square_size * 2)))
    turtle.stamp();
for j in range(10):
    turtle.setpos(finish_line + square_size, ((150 - square_size) - (j * square_size * 2)))
    turtle.stamp();
turtle.hideturtle();




# Paddle A
paddle_a = turtle.Turtle()
paddle_a.speed(0)
paddle_a.shape("turtle")
paddle_a.color("black")
paddle_a.penup()
paddle_a.goto(-250, 100)
paddle_a.pendown()
# Paddle B
paddle_b = turtle.Turtle()
paddle_b.speed(0)
paddle_b.shape("turtle")
paddle_b.color("cyan")
paddle_b.penup()
paddle_b.goto(-250, 50)
paddle_b.pendown()

# Functions
def paddle_a_up():
    x = paddle_a.xcor()
    x += 10
    paddle_a.setx(x)

def paddle_b_up():
    x = paddle_b.xcor()
    x += 10
    paddle_b.setx(x)





# Keyboard bindings
wn.listen()
wn.onkeypress(paddle_a_up, "w")
wn.onkeypress(paddle_b_up, "s")


# Main game loop

while True:
    if (paddle_a.xcor() == 200 or paddle_b.xcor() == 200):

        if (paddle_a.xcor() ==  paddle_b.xcor() ):
            turtle.setpos(-140, 100)
            turtle.write("TIER", font=("Arial",30,"bold"))
           
        elif (paddle_a.xcor() == 200):
            turtle.setpos(-140, 100)
            turtle.write("PLAYER 1 WIN", font=("Arial",30,"bold"))
        else :
            turtle.setpos(-140, 100)
            turtle.write("PLAYER 2 WIN", font=("Arial",30,"bold"))
        turtle.setpos(-250, 0)
        turtle.write("PLAYER 1 SCORE: ", font=("Arial",20,"bold"))
        turtle.setpos(0, 0)
        turtle.write((paddle_a.xcor()+250)/10, font=("Arial",20,"bold"))
        turtle.setpos(-250, -100)
        turtle.write("PLAYER 2 SCORE: ", font=("Arial",20,"bold"))
        turtle.setpos(0, -100)
        turtle.write((paddle_b.xcor()+250)/10, font=("Arial",20,"bold"))
                

        break;
    wn.update()

 
